Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: PAPAGAYO, polly wants a cracker... whraaa!  (gelezen 540 keer)

Offline FreakyDude

  • Lid
  • Steunpunt: Nee
PAPAGAYO, polly wants a cracker... whraaa!
« Gepost op: 2007/08/24, 18:38:49 »
Aloha,

Ik probeer uit te vinden hoe ik papagayo moet installeren op linux.
papagayo is een programma om lip sync mee te doen voor bijvoorbeeld blender en anime studio.

de link naar de linux versie laat je een zip file downloaden, maar in tegenstelling tot bijv songbird en blender, draait deze niet vanuit een mapje in de home directory.
Ik heb een site gevonden waar op staat welke dependacies nodig zijn, maar hoe moet je papagayo eigenlijk installeren?
Ik heb dit ooit op windows eens geprobeerd, en de resultaten waren opzich wel leuk, leuk genoeg om op linux nog eens iets mee te proberen, maar dan moet ik het eerst werkend zien te krijgen.

Anyone? aub?

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
PAPAGAYO, polly wants a cracker... whraaa!
« Reactie #1 Gepost op: 2007/08/24, 18:58:23 »
Ik heb het even nagekeken.
Je hebt een paar externe dependancies nodig ja, maar die zijn makkelijk te installeren via synaptic (grafisch) of via het terminalvenster:

Ik gok dat je "python-wxgtk2.6" nodig hebt. De rest zou al standaard in orde moeten zijn volgens mij.
Als het nog steeds niet wil starten moet je de volledige foutmelding eens kopieëren/plakken.

installatie via terminalvenster:
sudo apt-get install python-wxgtk2.6
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
PAPAGAYO, polly wants a cracker... whraaa!
« Reactie #2 Gepost op: 2007/08/24, 19:04:35 »
Aanvulling (geluidsprobleem):

er mag geen enkel ander programma draaien dat gebruik maakt van de geluidskaart, want Papagayo gebruikt OSS (een verouderd geluidssysteem) en dat kan niet tegelijkertijd met andere geluiden gebruikt worden op de meeste geluidskaarten (geen softwaremixing)

Een mogelijke oplossing is echter om het "aoss" script te gebruiken, zodat OSS emulatie gebruikt kan worden en zodat softwarematige mixing nog steeds werkt, hiervoor moet je alsa-oss installeren en het programma starten met "aoss ./papagayo"

Installatie alsa-oss:
sudo apt-get install alsa-oss

Papagayo starten:
aoss ./papagayo

PS: het lijkt erop dat hij geen .mp3 accepteert, maar wel .wav
(edit: bij lange .wav files crashed hij echter omwille van geheugen allocatie problemen...)

edit:
Nog een aanvulling (software installeren):

indien software beschikbaar is in de Ubuntu repositories (synaptic), dan wordt het sterk aanbevolen om het op die manier te installeren.. Blender kan bijvoorbeeld op die manier geïnstalleerd en automatisch onderhouden worden.
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline FreakyDude

  • Lid
  • Steunpunt: Nee
PAPAGAYO, polly wants a cracker... whraaa!
« Reactie #3 Gepost op: 2007/08/24, 21:51:58 »
yeah, het probleem met blender installeren vanuit de repos is dat die nogal achterloopt met de releases.
Hij staat nog altijd op 2.43, nu 2.45 bijna (waarschijnlijk na dit weekend) gereleased is. toen 2.44 al een poosje uit was stond in de repo nog altijd 2.42a. Ik heb 2.44 in een map in mijn home dir en dat werkt als een zonnetje.

Ik kijk als ik een leuk programma zie eerst in de repolijsten om te zien of de laatste versie daar in staat, en anders als ik de laatste versie echt wil hebben, dan download ik em zo.

In ieder geval bedankt voor je info over papayago, ga het zo proberen. Ik ga al wat ik in synaptic vind, ook via synaptic installeren.
Danke.